// =====================================================================
//  $Id: TSystemAction.cc,v 1.6 2004/06/24 15:15:26 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TSystemAction.cc,v $
//  Revision 1.6  2004/06/24 15:15:26  goiwai
//  たくさんの変更
//  Tcout,Tcerr,Tlogをバッファ経由にした。
//  何個かexternした。Tlog,Tcout,Tcerr,Tinfo...Tcritなど出力関係。
//
//  Revision 1.5  2004/03/07 10:30:34  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.4  2004/03/04 14:52:28  goiwai
//  BeginOfSystemAction -> Boot
//  EndOfSystemAction -> Shutdown
//
//  Revision 1.3  2003/10/06 16:38:26  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:21:21  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TSystemAction.hh"

TSystemAction::TSystemAction()
{;}

TSystemAction::~TSystemAction()
{;}

Tvoid TSystemAction::Boot( TRunManager* manager )
{
  return;
}

Tvoid TSystemAction::Shutdown( TRunManager* manager )
{
  return;
}

Tvoid TSystemAction::CatchStandardOut( Tstring message )
{
  std::cout << message << std::flush;
  return;
}

Tvoid TSystemAction::CatchStandardError( Tstring message )
{
  std::cerr << message << std::flush;
  return;
}

Tvoid TSystemAction::CatchLog( Tstring message, Tint level )
{
  std::clog << message << std::flush;
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TSystemAction)
#endif
